Skip to main content
POST
/
v2
/
admin
/
extensions
/
fax
/
Create Fax Extension
curl --request POST \
  --url https://api.voxo.co/v2/admin/extensions/fax/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tenantId": 123,
  "name": "<string>",
  "number": "<string>",
  "emergencyLocationId": 123
}
'
import requests

url = "https://api.voxo.co/v2/admin/extensions/fax/"

payload = {
"tenantId": 123,
"name": "<string>",
"number": "<string>",
"emergencyLocationId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tenantId: 123, name: '<string>', number: '<string>', emergencyLocationId: 123})
};

fetch('https://api.voxo.co/v2/admin/extensions/fax/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "tenant": {
    "id": 123,
    "name": "<string>"
  },
  "name": "<string>",
  "number": "<string>",
  "email": "<string>",
  "peerName": "<string>",
  "callerIdNumber": "<string>",
  "recording": "<string>",
  "callLimit": 123,
  "dialTimeout": 123,
  "routingProfileId": 123,
  "emergencyLocationId": 123,
  "outboundDialPrefix": "<string>",
  "includeInPhonebook": "<string>",
  "enableForwarding": "<string>",
  "emergencyLocationComment": "<string>",
  "branch": {
    "id": 123,
    "name": "<string>"
  },
  "emergencyLocation": {
    "id": 123,
    "address": "<unknown>"
  },
  "devices": []
}
{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
tenantId
number
required
name
string
required
Minimum string length: 3
number
string
required
Required string length: 2 - 10
Pattern: ^\d+$
emergencyLocationId
number
required
emergencyLocation
string | null
branchId
number
callerIdNumber
string
Pattern: ^[1-9]\d{9}$
device
object

Response

Created fax extension

id
number
required

Extension ID

tenant
object
required

Owning tenant

name
string | null
required

Extension name

number
string | null
required

Extension number

email
string | null
required

Extension email

peerName
string | null
required

SIP peer name

callerIdNumber
string | null
required

Outbound caller ID number

recording
string | null
required

Call recording mode

callLimit
number | null
required

Concurrent call limit

dialTimeout
number | null
required

Inbound ring timeout (seconds)

routingProfileId
number | null
required

Routing profile ID

emergencyLocationId
number | null
required

Emergency location ID

outboundDialPrefix
string | null
required

Outbound dial prefix

includeInPhonebook
string | null
required

Phonebook inclusion

enableForwarding
string | null
required

Forwarding state

emergencyLocationComment
string | null
required

Free-text emergency location comment

branch
object
required

Branch

emergencyLocation
object | null
required

Emergency location

devices
object[]
required

Assigned devices